
Redmine - Defect #41441

Locked user not "greyed" out. Deleted user not Anonomys Assignee.

2024-10-07 09:00 - Maria Nundahl
Resolution: Invalid Affected version:  

Description

Hi!

When locking a user and then looking at  issues where the user is the author or assignee the user name used to be "greyed out".

 clipboard-202410070849-f3gwg.png The user test test is locked and as you can see it is greyed out.

We do have two installations of Redmine, one is for test. We think the installations are the same but in test the locked user is greyed

out BUT in our production environment it is not.

Do you have any idea what the difference in the set up might be?

When deleting a user it should be set as anonymous. It works for the Author but if a user is set as assignee on an issue and you

delete the user the assignee is blanked out - this must be a defect? The assignee should be set to Anonymous as I understand it?

Our Redmine Installation information. We have the same in both installations.
History

#1 - 2024-10-07 10:10 - Go MAEDA

It looks like you are using a third-party theme named "Addovation."

Could you please check if the issue persists when using the default theme?

#2 - 2024-10-07 11:28 - Maria Nundahl

Hi,

Thanks for your answer. We will check if it helps changing to the default theme.

I will come back to you.

#3 - 2024-10-07 15:01 - Holger Just

- Status changed from New to Needs feedback

#4 - 2024-10-08 17:37 - Maria Nundahl

Hi!

It did work to change to the default Theme.

Do you have any ide what is causing this behaviour in our third party Theme?

#5 - 2024-10-08 18:06 - Holger Just

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Likely, some CSS rules in your theme overwrite the default rules for the colors. You need to check your custom CSS rules. It depends on your specific

theme and its rules what needs to be changed there.

As such, as this issue is not caused by Redmine itself but by your custom theme, I'm closing this.
